$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.25-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.25-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CA51DFD44B6522EA9A21D2BE73A11201C5A039C6956B158761EF8BD6033F932C'
  checksumType = 'sha256'
  checksum64 = 'CA51DFD44B6522EA9A21D2BE73A11201C5A039C6956B158761EF8BD6033F932C'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.23.25-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
